Bug 1176893 - Review Request: nodejs-node-int64 - Support for representing 64-bit integers in JavaScript
Summary: Review Request: nodejs-node-int64 - Support for representing 64-bit integers ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1176895
TreeView+ depends on / blocked
 
Reported: 2014-12-23 14:50 UTC by Piotr Popieluch
Modified: 2015-01-24 18:44 UTC (History)
2 users (show)

Fixed In Version: nodejs-node-int64-0.3.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:51:18 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-23 14:50:14 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-node-int64.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-node-int64-0.3.2-1.fc21.src.rpm
Description: 
JavaScript Numbers are represented as IEEE 754 double-precision floats.
Unfortunately, this means they lose integer precision for values beyond +/-
2^^53. For projects that need to accurately handle 64-bit ints, such as
node-thrift, a performant, Number-like class is needed. Int64 is that class.

Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-23 17:22:46 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-node-int64.noarch: W: spelling-error %description -l en_US ints -> nits, inst, int
nodejs-node-int64.noarch: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
nodejs-node-int64.noarch: W: only-non-binary-in-usr-lib
nodejs-node-int64.src: W: spelling-error %description -l en_US ints -> nits, inst, int
nodejs-node-int64.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball:  883dda0a6d31b1bd2b40b1ee184be91f314978f843dab6b9c3fab8424270b1ab
upstream tarball:   883dda0a6d31b1bd2b40b1ee184be91f314978f843dab6b9c3fab8424270b1ab

- Unable to verify Source1 due to mismatch with SPEC url

+ License is "MIT"

+ follows nodejs packaging guidelines.

Please correct the SPEC url and same spec in SRPM url.

Comment 2 Piotr Popieluch 2014-12-24 10:41:30 UTC
Rebuild SRPM to correct Source1 url


New Package SCM Request
=======================
Package Name: nodejs-node-int64
Short Description: Support for representing 64-bit integers in JavaScript
Upstream URL: https://github.com/broofa/node-int64
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-24 11:28:25 UTC
WARNING: fedora-review flag not set to '+'

Comment 4 Parag AN(पराग) 2014-12-24 14:11:41 UTC
Thanks for the update.

APPROVED.

Comment 5 Piotr Popieluch 2014-12-24 14:13:30 UTC

New Package SCM Request
=======================
Package Name: nodejs-node-int64
Short Description: Support for representing 64-bit integers in JavaScript
Upstream URL: https://github.com/broofa/node-int64
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 6 Gwyn Ciesla 2014-12-24 14:29:05 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-12-26 12:47:12 UTC
nodejs-node-int64-0.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-node-int64-0.3.2-1.fc20

Comment 8 Fedora Update System 2014-12-26 12:48:41 UTC
nodejs-node-int64-0.3.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-node-int64-0.3.2-1.el7

Comment 9 Fedora Update System 2014-12-26 12:51:44 UTC
nodejs-node-int64-0.3.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-node-int64-0.3.2-1.fc21

Comment 10 Fedora Update System 2014-12-26 19:52:19 UTC
nodejs-node-int64-0.3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Piotr Popieluch 2014-12-27 00:51:18 UTC
package built, closing.

Comment 12 Fedora Update System 2015-01-06 06:12:50 UTC
nodejs-node-int64-0.3.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-01-06 06:18:23 UTC
nodejs-node-int64-0.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-01-24 18:44:55 UTC
nodejs-node-int64-0.3.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.